package com.engine.salary.mapper.archive;

import com.engine.salary.entity.salaryarchive.po.SalaryArchiveDimissionPO;

import java.util.List;

public interface SalaryArchiveDimissionMapper {

	/**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
	List<SalaryArchiveDimissionPO> listAll();
    
    /**
     * 条件查询
     *
     * @return 返回集合，没有返回空List
     */
    List<SalaryArchiveDimissionPO> listSome(SalaryArchiveDimissionPO salaryArchiveDimission);
    

	/**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
	SalaryArchiveDimissionPO getById(Long id);
	
	/**
     * 新增，忽略null字段
     *
     * @param salaryArchiveDimission 新增的记录
     * @return 返回影响行数
     */
	int insertIgnoreNull(SalaryArchiveDimissionPO salaryArchiveDimission);
	
	/**
     * 修改，修改所有字段
     *
     * @param salaryArchiveDimission 修改的记录
     * @return 返回影响行数
     */
	int update(SalaryArchiveDimissionPO salaryArchiveDimission);
	
	/**
     * 修改，忽略null字段
     *
     * @param salaryArchiveDimission 修改的记录
     * @return 返回影响行数
     */
	int updateIgnoreNull(SalaryArchiveDimissionPO salaryArchiveDimission);
	
	/**
     * 删除记录
     *
     * @param salaryArchiveDimission 待删除的记录
     * @return 返回影响行数
     */
	int delete(SalaryArchiveDimissionPO salaryArchiveDimission);
	
}